---
id: ExternalResources
title: External Resources
hide_title: true
---

# External Resources

### Articles on Generators

- [The Definitive Guide to the JavaScript Generators](https://github.com/gajus/gajus.com-blog/blob/master/posts/the-definitive-guide-to-the-javascript-generators/index.md) by Gajus Kuizinas
- [The Basics Of ES6 Generators](https://davidwalsh.name/es6-generators) by Kyle Simpson
- [ES6 generators in depth](http://www.2ality.com/2015/03/es6-generators.html) by Axel Rauschmayer
- [3 cases where JavaScript generators rock (+ understanding them)](https://goshakkk.name/javascript-generators-understanding-sample-use-cases/) by Gosha Arinich

### Articles on redux-saga

- [Redux nowadays: From actions creators to sagas](https://riad.blog/2015/12/28/redux-nowadays-from-actions-creators-to-sagas/) by Riad Benguella
- [Managing Side Effects In React + Redux Using Sagas](http://jaysoo.ca/2016/01/03/managing-processes-in-redux-using-sagas/) by Jack Hsu
- [Using redux-saga To Simplify Your Growing React Native Codebase](https://medium.com/infinite-red/using-redux-saga-to-simplify-your-growing-react-native-codebase-2b8036f650de#.7wl4wr1tk) by Steve Kellock
- [Master Complex Redux Workflows with Sagas](http://konkle.us/master-complex-redux-workflows-with-sagas/) by Brandon Konkle
- [Handling async in Redux with Sagas](https://wecodetheweb.com/2016/10/01/handling-async-in-redux-with-sagas/) by Niels Gerritsen
- [Tips to handle Authentication in Redux](https://medium.com/@MattiaManzati/tips-to-handle-authentication-in-redux-2-introducing-redux-saga-130d6872fbe7#.g49x2gj1g) by Mattia Manzati
- [Build an Image Gallery Using React, Redux and redux-saga](http://joelhooks.com/blog/2016/03/20/build-an-image-gallery-using-redux-saga/?utm_content=bufferbadc3&utm_medium=social&utm_source=twitter.com&utm_campaign=buffer) by Joel Hooks
- [Async Operations using redux saga](https://medium.com/@andresmijares25/async-operations-using-redux-saga-2ba02ae077b3#.556ey5blj) by Andrés Mijares
- [Vuex meets Redux-saga](https://medium.com/@xanf/vuex-meets-redux-saga-e9c6b46555e#.d4318am40) by Illya Klymov
- [3 common approaches to side-effects in Redux apps](https://goshakkk.name/redux-side-effect-approaches/) by Gosha Arinich
- [Lazy registration with Redux and Sagas](https://goshakkk.name/lazy-auth-redux-saga-flow/) by Gosha Arinich
- [Writing more testable code with Redux Saga](https://medium.com/grey-frogs/writing-more-testable-code-with-redux-saga-c1561f995225) by Luiz Guilherme D’Abruzzo Pereira
- [Redux Hero Part 4: Every Hero Needs a Villain (A Fun Introduction to redux-saga.js)](https://decembersoft.com/posts/redux-hero-part-4-every-hero-needs-a-villain-a-fun-introduction-to-redux-saga-js/)
- [Modelling common patterns with redux-saga](https://medium.com/@chanakyabhardwaj/modelling-common-patterns-with-redux-saga-464a380a37ce) by Chanakya Bhardwaj
- [Analytics on easy mode with Redux-Saga](https://goshakkk.name/analytics-easy-redux-saga/) by Gosha Arinich
- [Redux Saga common Patterns](https://medium.com/shiftgig-blog/redux-saga-common-patterns-48437892e11c) by Andres Mijares
- [Keep Trying: Redux Saga Style](https://medium.com/@bryanfillmer/keep-trying-redux-saga-style-b273882b9ec) by Bryan Fillmer
- [Try Again: More Redux Saga Patterns](https://codeburst.io/try-again-more-redux-saga-patterns-bfbc3ffcdc) by Bryan Fillmer
- [A Redux First Router Saga](https://medium.com/@bryanfillmer/a-redux-first-router-saga-67c2cda9252e) by Bryan Fillmer
- [What is Redux-Saga?](https://engineering.universe.com/what-is-redux-saga-c1252fc2f4d1) by Alex Richardson
- [Lost with Redux and sagas? Implement them yourself!](https://blog.castiel.me/posts/2019-08-03-lost-redux-saga-reimplement-them/) by Sébastien Castiel
- [Assembling Robust Web Chat Applications with JavaScript: An In-depth Guide](https://medium.com/carousell-insider/assembling-robust-web-chat-applications-with-javascript-an-in-depth-guide-9f36685fc1bc) by Yao-Hui Chua

### Videos on redux-saga
- [Async React with Redux Saga](https://egghead.io/courses/async-react-with-redux-saga) by Tyler Clark
- [Learn Redux Saga series](https://www.youtube.com/playlist?list=PLMV09mSPNaQlWvqEwF6TfHM-CVM6lXv39) by Divyanshu Maithani and Deepak Grover

### Addons
- [redux-saga-sc](https://www.npmjs.com/package/redux-saga-sc) – Provides sagas to easily dispatch redux actions over SocketCluster websockets
- [redux-form-saga](https://www.npmjs.com/package/redux-form-saga) – An action creator and saga for integrating Redux Form and Redux Saga
- [redux-electron-enhancer](https://www.npmjs.com/package/redux-electron-enhancer) – Redux store which synchronizes between instances in multiple process
- [eslint-plugin-redux-saga](https://www.npmjs.com/package/eslint-plugin-redux-saga) - ESLint rules that help you to write error free sagas
- [redux-saga-router](https://www.npmjs.com/package/redux-saga-router) - Helper for running sagas in response to route changes.
- [vuex-redux-saga](https://github.com/xanf/vuex-redux-saga) - Bridge between Vuex and Redux-Saga
- [esdoc-saga-plugin](https://www.npmjs.com/package/esdoc-saga-plugin) - ESDoc plugin for documenting sagas effects.
- [redux-saga-compose](https://www.npmjs.com/package/redux-saga-compose) - Compose sagas as middleware in the style of koa-compose
- [redux-saga-requests](https://github.com/klis87/redux-saga-requests) - Tremendously simplifies AJAX requests with sagas, supports Axios and Fetch API
